# -*- coding: utf-8 -*-
# Generated by Django 1.10.7 on 2017-07-31 09:43
from __future__ import unicode_literals

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Client',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
                ('credential', models.BinaryField(blank=True, null=True)),
            ],
            options={
                'db_table': 'client',
            },
        ),
        migrations.CreateModel(
            name='Dbversion',
            fields=[
                ('version', models.IntegerField(primary_key=True, serialize=False)),
                ('release', models.DateTimeField(default=django.utils.timezone.now, null=True)),
                ('description', models.TextField(blank=True, null=True)),
            ],
            options={
                'db_table': 'dbversion',
            },
        ),
        migrations.CreateModel(
            name='Deposit',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('reception_date', models.DateTimeField()),
                ('complete_date', models.DateTimeField(null=True)),
                ('external_id', models.TextField()),
                ('client_id', models.BigIntegerField()),
                ('swh_id', models.TextField(blank=True, null=True)),
                ('status', models.TextField(choices=[('partial', 'partial'), ('expired', 'expired'), ('ready', 'ready'), ('injecting', 'injecting'), ('success', 'success'), ('failure', 'failure')], default='partial')),
            ],
            options={
                'db_table': 'deposit',
            },
        ),
        migrations.CreateModel(
            name='DepositRequest',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('metadata', django.contrib.postgres.fields.jsonb.JSONField(null=True)),
                ('deposit', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='deposit.Deposit')),
            ],
            options={
                'db_table': 'deposit_request',
            },
        ),
        migrations.CreateModel(
            name='DepositType',
            fields=[
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('name', models.TextField()),
            ],
            options={
                'db_table': 'deposit_type',
            },
        ),
        migrations.AddField(
            model_name='deposit',
            name='type',
            field=models.ForeignKey(db_column='type', on_delete=django.db.models.deletion.DO_NOTHING, to='deposit.DepositType'),
        ),
    ]
